PostgreSQL 7.4.3 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# pg_lo_export

## Name

pg_lo_export -- export a large object to a file

## Synopsis

    pg_lo_export conn loid filename

## Description

`pg_lo_export` writes the specified large object into a file.

## Arguments

conn

  The handle of a connection to the database in which the large object exists.

loid

  The OID of the large object.

filename

  Specifies the file into which the data is to be exported.

## Return Value

None

## Notes

`pg_lo_export` must be called within a `BEGIN`/`COMMIT` transaction block.

Prev | Home | Next
pg_lo_import | Up | Example Program